import type { NobjcObject } from "objc-js";
import type { _NSAppleEventDescriptor } from "../Foundation/NSAppleEventDescriptor.js";
import type { _NSAttributedString } from "../Foundation/NSAttributedString.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _OSALanguage } from "./OSALanguage.js";
export declare class _OSALanguageInstance extends _NSObject {
    static alloc(): _OSALanguageInstance;
    static new(): _OSALanguageInstance;
    init(): _OSALanguageInstance;
    /** Construction */
    static languageInstanceWithLanguage$(language: _OSALanguage): _OSALanguageInstance;
    initWithLanguage$(language: _OSALanguage): _OSALanguageInstance;
    /** Get source text for a descriptor using the language instance for context. */
    richTextFromDescriptor$(descriptor: _NSAppleEventDescriptor): _NSAttributedString | null;
    /** Accessors */
    language(): _OSALanguage;
    /**
     * If this is the shared instance for the language, this is the same as the language's component instance.
     */
    componentInstance(): NobjcObject;
    /**
     * The default target application for Apple event sending. It also establishes the default target from which terminologies come. It is effectively like having an AppleScript "tell" statement around the entire program. When nil, the default target is the current application.
     */
    defaultTarget(): _NSAppleEventDescriptor;
    setDefaultTarget$(value: _NSAppleEventDescriptor): void;
}
